## driconf 0.2.7

=== Makefile ===
# Convenient makefile for managing translations.

# Prerequisites:

# - pygettext from the python distribution
# - GNU gettext

# How to use this:

# To start working on a new translation edit the POS=... line
# below. If you want to add for example a french translation, add
# fr.po.

# Then run "make po" to generate fresh .po files from translatable
# strings in driconf.py. Now you can edit the new .po file (fr.po in
# the example above) to translate the strings. Please make sure that
# your editor encodes the file in UTF-8.

# Finally run "make" to generate a new binary file for gettext. It
# will be stored in <lang>/LC_MESSAGES/driconf.mo. You can test the
# new translation by running ./driconf in the current directory
# without reinstalling DRIconf all the time. Of course you need to
# have the correct locale setting in order to see your translation.

# To get your new translation into the next release of DRIconf please
# send me your <lang>.po file.

# More information:

# - info gettext
# - documentation of the gettext python package

# The set of supported languages. Add languages as needed.
POS=de.po es.po it.po ru.po

#
# Don't change anything below, unless you know what you're doing.
#
LANGS=$(POS:%.po=%)
MOS=$(POS:%.po=%/LC_MESSAGES/driconf.mo)
POT=driconf.pot

.PHONY: all pot po mo

# Default target. Use this to update your .mo files from the .po files.
all: mo

mo:
	@for mo in $(MOS); do \
		lang=$${mo%%/*}; \
		echo "Updating $$mo from $$lang.po."; \
		mkdir -p $${mo%/*}; \
		msgfmt -o $$mo $$lang.po; \
	done

# Use this target to create or update .po files with new messages in
# driconf.py.
po: $(POS)

pot: $(POT)

# Extract message catalog from driconf.py.
$(POT): driconf.py
	xgettext -L python --from-code utf-8 -o $(POT) driconf.py

# Create or update a .po file for a specific language.
%.po: $(POT)
	@if [ -f $@ ]; then \
		echo "Merging new strings from $(POT) into $@."; \
		mv $@ $@~; \
		msgmerge -o $@ $@~ $(POT); \
	else \
		echo "Initializing $@ from $(POT)."; \
		msginit -i $(POT) -o $@~ --locale=$*; \
		sed -e 's/charset=.*\\n/charset=UTF-8\\n/' $@~ > $@; \
	fi

## driconf 0.9.0

=== Makefile ===
--- 
+++ 
@@ -36,6 +36,7 @@
 #
 # Don't change anything below, unless you know what you're doing.
 #
+PYS=driconf.py driconf_commonui.py driconf_complexui.py driconf_simpleui.py
 LANGS=$(POS:%.po=%)
 MOS=$(POS:%.po=%/LC_MESSAGES/driconf.mo)
 POT=driconf.pot
@@ -60,8 +61,8 @@
 pot: $(POT)
 
 # Extract message catalog from driconf.py.
-$(POT): driconf.py
-	xgettext -L python --from-code utf-8 -o $(POT) driconf.py
+$(POT): $(PYS)
+	xgettext -L python --from-code utf-8 -o $(POT) $(PYS)
 
 # Create or update a .po file for a specific language.
 %.po: $(POT)

## driconf 0.9.1

=== Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 # - documentation of the gettext python package
 
 # The set of supported languages. Add languages as needed.
-POS=de.po es.po it.po ru.po
+POS=de.po es.po it.po ru.po nl.po
 
 #
 # Don't change anything below, unless you know what you're doing.

=== debian/changelog ===
driconf (0.9.1-4) unstable; urgency=medium

  * Adopt package. (Closes: #721967)
  * Use source format "3.0 (quilt).
  * Split patch into multiple small patchsets with DEP-3 headers.
  * Include Italian translation. (Closes: #472179)
  * Switch from cdbs to short-style dh debian/rules.
  * Remove dependencies on obsolete packages: xbase-clients, xlibmesa-gl.
    - Replace with dependency on x11-utils.
  * Add build-dep on python-dev. (Closes: #406727)
  * Add HardwareSettings to categories for desktop launcher. (Closes: #444626)
  * Add Homepage field to debian/control. (Closes: #615284, LP: #822483)
  * Add missing Vcs-* fields.
  * Update Standards version to 3.9.5.
  * Update dh compat level from 4 to 9.
  * Update debian/copyright to DEP-5/copyright format 1.0.
  * Add watch file.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 22 Jan 2014 02:23:51 -0800

driconf (0.9.1-3) unstable; urgency=low

  * Orphaning package.

 -- Michel Dänzer <daenzer@debian.org>  Thu, 05 Sep 2013 19:15:45 +0200

driconf (0.9.1-2) unstable; urgency=low

  * Fix all occurences of /usr/local in the code.
  * driconf_commonui.py: Fix findInShared to look in /usr/share instead of all
    prefixes of /var/lib/python-support/python2.*/ (Closes: #429522).
  * debian/driconf.install, debian/rules: Handle desktop file.

 -- Michel Dänzer <daenzer@debian.org>  Tue, 19 Jun 2007 11:33:37 +0200

driconf (0.9.1-1) unstable; urgency=low

  * New upstream release.
  * Also include changes from upstream branch driconf-0-9-branch up to revision
    284.
  * Switched from python-central to python-support.
  * Removed translators from debian/copyright for the sake of simplicity.
  * Apply patch from
    http://sourceforge.net/tracker/index.php?func=detail&aid=1656905&group_id=178376&atid=884983
    to fix an UnboundLocalError that could happen under some circumstances.

 -- Michel Dänzer <daenzer@debian.org>  Thu, 07 Jun 2007 13:29:18 +0200

driconf (0.9.0-2) unstable; urgency=low

  * debian/control: Add Suggests: mesa-utils | xbase-clients (<< 7.0.0) for
    glxinfo, which if available is now used to retrieve some information about
    the driver that isn't directly related to configuration (thanks Felix).
  * Update to new Python policy:
    - Build-depend on debhelper (>= 5.0.37.1), python (>= 2.3.5-7),
      python-central (>= 0.4.10).
    - Add XB-Python-Version: ${python:Versions} and XS-Python-Version: >=2.3
      (per upstream documentation).
    - Adapt debian/rules to cdbs pycentral support.
  * Move some build-dependencies from Build-Depends-Indep: to Build-Depends:,
    FTWCA policy section 7.6 ;). lintian now gives a false positive warning
    about python, oh well...
  * Bump standards version to 3.7.2.0.
  * Update FSF mailing address in debian/copyright.

 -- Michel Dänzer <daenzer@debian.org>  Sat, 17 Jun 2006 15:33:37 +0200

driconf (0.9.0-1) unstable; urgency=low

  * New upstream release.
    - The major change is a new simplified UI. The old UI is sill available as
      'expert mode'.
  * debian/control:
    - Make python-gtk2 (build-)dependencies versioned on >> 2.4.0 per upstream.
    - Change dependency for the xdriinfo binary to xdriinfo | xbase-clients
      (>> 6.8.0) to facilitate Ubuntu sidegrades and hopefully anticipate the
      new modular X world order. :)
    - Tweak description per upstream and as required by above changes.
  * debian/copyright: Add 2006 for Felix.

 -- Michel Daenzer <daenzer@debian.org>  Fri, 27 Jan 2006 16:50:25 +0100

driconf (0.2.7-1) unstable; urgency=low

  * Initial upload (Closes: #321886).
  * setup.cfg: Don't install python modules in /usr/local.
  * driconf.py: Fix version shown in about dialog.
  * debian/driconf.1: Manpage, inspired by gnome-pilot source package.

 -- Michel Daenzer <daenzer@debian.org>  Sat, 27 Aug 2005 19:54:23 -0400

=== debian/control ===
Source: driconf
Section: x11
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Vincent Cheng <vcheng@debian.org>
Build-Depends: debhelper (>= 9), gettext, python-dev
Standards-Version: 3.9.5
X-Python-Version: >= 2.4
Homepage: http://dri.freedesktop.org/wiki/DriConf
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/driconf/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/driconf/trunk/

Package: driconf
Architecture: all
Depends:
 python-gtk2 (>> 2.4.0),
 x11-utils,
 ${misc:Depends},
 ${python:Depends}
Recommends: libgl1-mesa-dri
Suggests: mesa-utils
Description: DRI configuration applet
 Driconf is a configuration applet for the Direct Rendering Infrastructure
 (DRI). It allows customizing performance and visual quality settings of OpenGL
 drivers on a per-driver, per-screen and/or per-application level.
 .
 Driconf is implemented in Python. It uses the GTK+ toolkit bindings and the
 xdriinfo program (from the xdriinfo or xbase-clients package) to retrieve
 configuration information from OpenGL drivers.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2 --buildsystem=python_distutils

override_dh_auto_build:
	$(MAKE) mo
	dh_auto_build

=== debian/watch ===
version=3
http://dri.sourceforge.net/cgi-bin/moin.cgi/DriConf \
(?:|.*/)driconf(?:[_\-]v?|)(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
